<?php
/**
 * The template for displaying archive pages
 *
 * @ Theme: Manduca
 * @since 1.0
 * Version 17.1
 */
?>

<?php get_template_part( 'template-parts/main/twocolumns', 'start' ); ?>

		<?php if ( have_posts() ) : ?>
			<header>
				<h1 class="color-4"><?php
					if ( is_day() ) :
						printf( __( 'Daily Archives: %s', 'manduca' ), '<span>' . get_the_date() . '</span>' );
					elseif ( is_month() ) :
						printf( __( 'Monthly Archives: %s', 'manduca' ), '<span>' . get_the_date() . '</span>' );
					elseif ( is_year() ) :
						printf( __( 'Yearly Archives: %s', 'manduca' ), '<span>' . get_the_date() . '</span>' );
					else :
						_e( 'Archives', 'manduca' );
					endif;
				?></h1>


			<?php
				$term_description = category_description();
				if ( ! empty( $term_description ) ) {
						printf( '<div class="taxonomy-description">%s</div>', $term_description );
				} ?>
			</header><!-- .archive-header -->
			
						<?php manduca_display_excerpt();?>
				
			

		<?php else : ?>
			<?php get_template_part( 'template-parts/posts/content', 'none' ); ?>
		<?php endif; ?>

	<?php get_template_part( 'template-parts/main/twocolumns', 'finish' ); ?>