<?php
/* The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @since Manduca 1.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>

<?php
/* Hide content until css is loaded if filter is set to true
 * Should be inserted 'display:block' at the end of child-theme stylesheet
 *
 * @Default: show content. 
 *
 * @introduced in 17.4
 * */

if( apply_filters( 'manduca_header_hide_body' , false ) ) {
	echo '<style>	body {display: none;}</style>';
}; ?>


</head>

<body id="total" <?php body_class(); ?>>

	<?php
	/**
	 * Add Google Tag manager snippet or anything else just after the <body> tag
	 *
	 * Insert your snippet to template-parts/header/googletagmanager.php
	 * 
	 * &since: 17.9.14
	 **/
	
	get_template_part( 'template-parts/header/googletagmanager' );
	?>
	
	<div id="svg-layer">
		
		<?php
		/**
		 * Filter to add images to the body ( outside the main area )
		 * **/
		echo apply_filters( 'manduca_background_images', '' );
		?>
		
		<div id="page" class="hfeed site">
			
			<noscript>
				<div id="no-javascript">
					<?php _e( 'JavaScript is off. Please enable to use all functions.', 'manduca' ); ?></div>
			</noscript>
			
			<div  id="top-bar" class="top-bar color-4"></div>
			
			<?php get_template_part( '/template-parts/header/skiplinks' ); ?>
			
			<?php get_template_part( '/template-parts/header/header', 'masthead' ); ?>
			