<?php
/**
 * Manduca
 *
 * @since 1.0 */

?>

<?php get_template_part( 'template-parts/main/twocolumns', 'start' ); ?>

		<?php while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class( 'image-attachment' ); ?>>
					
					
					<header class="entry-header">
						<h1 class="entry-title" ><?php the_title(); ?></h1>
						
						
						
					</header><!-- .entry-header -->

					<div class="entry-content">

						
						<div class="attachment">
								<?php
								
								$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
								foreach ( $attachments as $k => $attachment ) :
									if ( $attachment->ID == $post->ID )
										break;
								endforeach;
								
								if ( count( $attachments ) > 1 ) :
									$k++;
									if ( isset( $attachments[ $k ] ) ) :
										// get the URL of the next image attachment
										$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
									else :
										// or get the URL of the first image attachment
										$next_attachment_url = get_attachment_link( $attachments[0]->ID );
									endif;
								else :
									// or, if there's only 1 image, get the URL of the image
									$next_attachment_url = wp_get_attachment_url();
								endif;
								?>
								<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment"><?php
								/**
 								 * Filter the image attachment size to use.
								 *
								 
								 *
								 * @param array $size {
								 *     @type int The attachment height in pixels.
								 *     @type int The attachment width in pixels.
								 * }
								 */
								$attachment_size = apply_filters( 'manduca_attachment_size', array( 960, 960 ) );
								echo wp_get_attachment_image( $post->ID, $attachment_size );
								?></a>

								
						</div><!-- .attachment -->
						

						<div class="entry-description">
							<?php wp_link_pages( array( 'before' => '<div class="page-links">'. __( 'Pages', 'manduca' ), 'after' => '</div>' ) ); ?>
						</div><!-- .entry-description -->
						
						
						<footer class="entry-meta">
							<?php
								$metadata = wp_get_attachment_metadata();
								sprintf( '<span class="meta-prep meta-prep-entry-date">' .__( 'Date:', 'manduca' ) .'</span> <span class="entry-date"><time class="entry-date" datetime="%1$s">%2$s</time></span>, '. __( 'Original size', 'manduca' ) . ': <a href="%3$s" title="Link to full-size image">%4$s &times; %5$s</a> ',
									esc_attr( get_the_date( 'c' ) ),
									esc_html( get_the_date() ),
									esc_url( wp_get_attachment_url() ),
									$metadata['width'],
									$metadata['height'],
									esc_url( get_permalink( $post->post_parent ) ),
									esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
									get_the_title( $post->post_parent )
								);
								
							
						    $image_alt 			= get_post_meta( $post->ID, '_wp_attachment_image_alt', true );
							$image_caption  	= $post->post_excerpt;
							$image_description 	= $post->post_content;
							
							?>
						<ul>
							<li>
								<?php
								printf( '%1$s%2$s: <strong><time class="entry-date" datetime="%3$s">%4$s</time></strong>',
									manduca_get_svg( array( 'icon' => 'calendar' ) ),
									__( 'Date:', 'manduca' ),
									esc_attr( get_the_date( 'c' ) ),
									esc_html( get_the_date() )
									);
								?>
							</li>
							<li>
									<?php	
									printf( '%1$s%2$s: <strong>%2$s * %3$s</strong>',
										   manduca_get_svg( array( 'icon' => 'cube' ) ),
										   __( 'Original size', 'manduca' ),
										   $metadata['width'] ,
										   $metadata['height'] 
										   );
									?>
							</li>
							
							<li>
									<?php
									if( empty( $image_alt ) ) {
										$image_alt = __( 'Missing alternative text', 'manduca' );
									}
									printf( '%1$s%2$s: <strong>%3$s</strong>',
										   manduca_get_svg( array( 'icon' => 'text' ) ),
										   __( 'Alternative Text' ),
										   $image_alt
										   );
									?>	
							</li>
													
							<?php if( !empty( $image_caption ) ) : ?>
							<li>
									<?php
									printf( '%1$s%2$s: <strong>%2$s</strong>',
										   manduca_get_svg( array( 'icon' => 'film' ) ),
										   __( 'Captions/Subtitles' ),
										   $image_caption
										   );
									?>		
							</li>
							
							<?php endif; ?>
						
							<?php if( !empty( $image_description ) ) : ?>
							
							<li>
								<?php
									printf( '%1$s%2$s: <strong>%2$s</strong>',
										   manduca_get_svg( array( 'icon' => 'bubble' ) ),
										   __( 'Image description'  ),
										   $image_description
										   );
									?>		
									</li>
							<?php endif; ?>
							
						</ul>
						
							<?php manduca_edit_post_link(); ?>
						</footer><!-- .entry-meta -->


					</div>
					

				</article>
				
				<?php manduca::controller( array( 'class'=>'template_functions', 'method' => 'display_image_navigation' ) ) ; ?>

				<?php comments_template(); ?>

			<?php endwhile;  ?>

<?php get_template_part( 'template-parts/main/twocolumns', 'finish' ); ?>