<?php
/**
 * Administrator functions
 * editor + customizer
 *
 * @since 1.0 */

 
 

//-------------------------------------------------------------------------------------------
// Customizer setup
//-------------------------------------------------------------------------------------------

function manduca_sanitize_text_input( $input ) {
    $output = strip_tags( stripslashes( $input ) );  
    return $output;
} 

function manduca_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

// Move theme option to the customizer
	$wp_customize->add_setting( 'manduca_copyright_text', array(
		'default' => get_bloginfo(),
		'sanitize_callback' => 'manduca_sanitize_text_input'
		) );
	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'manduca_options', array(
		'label'        =>  __( 'Copyright text', 'manduca' ),
		'section'    => 'title_tagline',
		'settings'   => 'manduca_copyright_text',
	) ) );
}
add_action( 'customize_register', 'manduca_customize_register' );

//-------------------------------------------------------------------------------------------
// Enqueue Javascript postMessage handlers for the Customizer.
//-------------------------------------------------------------------------------------------
 
function manduca_customize_preview_js() {
	wp_enqueue_script( 'manduca-customizer', get_template_directory_uri() . '/assets/js/theme-customizer.js', array( 'customize-preview' ), '20141120', true );
}
add_action( 'customize_preview_init', 'manduca_customize_preview_js' );



/*
 * Setup TinyMCE so user can easaly use accessible formats. 
 *
 * @ Remove H1 from TinyMCE so users are discouraged from breaking headings hierarchy.
 * @ add 2 highlights formats
 * 
 * Thanks to Joe dolson 
 * */
if( !function_exists( 'manduca_tinymce_init') ) :
 
function manduca_tinymce_init( $init_array ) {
	
	// Define the style_formats array
	$style_formats = array(  
		// Each array child is a format with it's own settings
		array(  
			'title' => __( 'Highlight-2' , 'manduca' ) ,
			'block' => 'div',  
			'classes' => 'highlight-1',
			'wrapper' => true,
			
		),  
		array(  
			'title' => __( 'Highlight-1' , 'manduca' ) ,  
			'block' => 'div',  
			'classes' => 'highlight-2',
			'wrapper' => true,
		),
		array(  
			'title' => __( 'Quotation' , 'manduca' ),  
			'inline' => 'q',  
			'wrapper' => true,
		),
			array(  
			'title' => __( 'Abbreviation' , 'manduca' ),  
			'inline' => 'abbr',  
			'wrapper' => true,
		)
	);
	
			
	
	$init_array['style_formats'] = json_encode( $style_formats );
	
	
	
    // replace block formats with elements helps bulding an accessibile content
		$block_formats 			= 'Paragraph=p; ' .__( 'Heading 2', 'manduca' ) .'=h2; ';
		$block_formats 			.= __( 'Heading 3', 'manduca' ) .'=h3; ';
		$block_formats 			.= __( 'Preformatted', 'manduca' ) .'=pre; ';
		$block_formats			.= __( 'Blockquote', 'manduca') .'=blockquote;';
		
		
		$init_array[ 'block_formats' ] = $block_formats;
		
			
    return $init_array;  
}

add_filter( 'tiny_mce_before_init', 'manduca_tinymce_init' );

endif;
	
	
	
	
/*
 *
 * Add in a core buttons that's disabled by default and stylebutton 
 *
 **/


function manduca_form_button( $buttons ) {	
	$buttons[] = 'superscript';
	$buttons[] = 'subscript';
	array_unshift( $buttons, 'styleselect' );
	return $buttons;
}
add_filter( 'mce_buttons_2', 'manduca_form_button' );



/**
 *Add ediotor styleshett to tiny mce
 **/
function manduca_editor_css() {
	add_editor_style( '/assets/css/manduca-tinymce.css' );    
}

add_action( 'admin_init', 'manduca_editor_css' );



/**
 * Add admin css
 * in order to properly display outgoing link icons.
 *
 *@since 17.2.11
 **/
function manduca_admin_style() {
	wp_enqueue_style('admin-styles', get_template_directory_uri().'/assets/css/admin.css');
}
add_action('admin_enqueue_scripts', 'manduca_admin_style');
?>