<?php
/**
 * Manduca
 *
 * @since 17.7 */



 
/*
* Manduca styles and scripts
*
* &since 1.0
*/

function manduca_scripts_styles() {
	global $wp_styles;


	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Loads stylesheets.
	wp_enqueue_style( 'manduca-main-style', get_stylesheet_uri(), false, false, 'all' );
	
	//load print stylesheets
	$print_css = get_stylesheet_directory() . '/print.css' ;
	
	if ( is_child_theme() && file_exists( $print_css ) ) { //if child theme has own print.css in its root directory, load it. 
	
			wp_enqueue_style( get_stylesheet().'-print-style', get_stylesheet_directory_uri() .'assetes/css/print.css' , false, false, 'print'  );	
	
	}
	
	else {
		wp_enqueue_style( 'manduca-print-style', get_template_directory_uri() .'/assets/css/print.css', array() , false, 'print'  );	
	}
		
	// Loads the Internet Explorer specific stylesheet.
	wp_enqueue_style( 'manduca-ie', get_template_directory_uri() . '/assets/css/ie.css', array( 'manduca-style' ) );
	$wp_styles->add_data( 'manduca-ie', 'conditional', 'lt IE 9' );
	
	wp_enqueue_script( 'manduca-scripts', get_template_directory_uri() . '/assets/js/manduca-scripts.js', array( 'jquery' ), '', 'true'); 
				
		$manduca_l10n['expand']         = __( 'expand child menu', 'manduca' );
		$manduca_l10n['collapse']       = __( 'collapse child menu', 'manduca' );
		$manduca_l10n['icon']           = manduca_get_svg( array( 'icon' => 'caret-down', 'fallback' => true ) );
		wp_localize_script( 'manduca-scripts', 'manducaScreenReaderText', $manduca_l10n );

		
		/*
		 *Set the color of focus snail
		 *
		 *@since 17.9
		 **/
		$focus_snail[ 'red']  = 158;
		$focus_snail[ 'green']  = 67;
		$focus_snail[ 'blue']  = 14;
		
		/*
		 *allow to change the colour of focus snail
		 *
		 **/
		$focus_snail = apply_filters( 'manduca_focus_snail_color' ,  $focus_snail );
		
		wp_localize_script( 'manduca-scripts', 'manducaFocusSnailColour', $focus_snail );
}

add_action( 'wp_enqueue_scripts', 'manduca_scripts_styles' );




?>