<?php
/*
 *Sitemap-functions
 *
 *&since 17.9.3
 **/

/*
 *Display PDF files, if there is any
 **/
// Query PDF
function manduca_display_pdf_list(){
	  $query_pdf = new WP_Query( array(
				'post_type' => 'attachment',
				'post_mime_type' =>'application/pdf',
				'post_status' => 'inherit',
				'posts_per_page' => -1,
				'order'           => 'ASC',
				'orderby'         => 'title'
			)
		);
		
	  $pdf = array();
	   
	  //If is there any PDF? 
	  If( $query_pdf->post_count  > 0 ) :
		  ?>
		 
				  <ol>
		
				  <?php 
				  foreach ( $query_pdf->posts as $pdf) {
					  setup_postdata($pdf);
					  
					  printf( '<li><a href="%1$s">%2$s</a></li>',
							 wp_get_attachment_url( $pdf->ID ),
							 $pdf->post_title
							 );			
				  }
				  ?>
	  
				  </ol>
	  <?php  
	  endif;
}



/*
 *
 *Display images
 **/

 function manduca_display_image_list() {
	  ?>
	 
			<ol>
			  <?php 
					$query_images_args = array(
					  'post_type' => 'attachment',
					  'post_mime_type' =>'image',
					  'post_status' => 'inherit',
					  'posts_per_page' => -1,
					  'order'           => 'ASC',
					  'orderby'         => 'title'
				  );
			  
				  $query_images = new WP_Query( $query_images_args );
				  $images = array();
				  foreach ( $query_images->posts as $image) {
					  setup_postdata($image);
					  
					  printf( '<li><a href="%1$s">%2$s</a></li>',
							 get_attachment_link( $image->ID ),
							 $image->post_title
							 );
					  
				  }
			  ?>
			</ol>
<?php	  
}

/* Display post listg
 *
 * Set if alphabetic list or by category.
 * */

 function manduca_display_post_list( $type_flag ) {
	  ?>
		  <ol>
			<?php
			
				/* Boolean filter
				 * @ name: manduca_sitemap_display_category
				 * @ true : default : use category breakdown (as in previous versions of Manduca)
				 * @ false : use alphabetic order
				 * */
				$type_flag = apply_filters( 'manduca_sitemap_display_category' , '__return_true');
			
			//Display posts by category if $flag is true
			if ( $type_flag ) :
				$cats = get_categories();
				foreach ( $cats as $cat ) {
				  echo '<h3>' .esc_html( $cat->cat_name ) .'</h3>';
				  echo '<ul>';
				  query_posts('posts_per_page=-1&cat='.$cat->cat_ID);
				  
				  while ( have_posts() ) {
					the_post();
					$category = get_the_category();
					
					if ( $category[0] -> cat_ID == $cat->cat_ID ) {
					  echo '<li><a href="'.get_permalink() .'">' .get_the_title() .'</a></li>';
					}
				  }
				  echo '</ul>';
				  echo '</li>';
			  }
			 
			
			//Display post by name
			else: 
				$list_posts = new WP_Query( array( 
					'post_type'       => 'post', 
					'posts_per_page'  => -1, 
					'post_status'     => 'publish',
					'order'           => 'ASC',
					'orderby'         => 'title'
					) );
			
			  while ( $list_posts->have_posts() ) : $list_posts->the_post(); 
				
				  
						printf( '<li><a href="%1$s">%2$s</a></li>',
							   get_permalink(),
							   get_the_title()
							  );
			  endwhile;
			
			endif;  
			  ?>
		  </ol>
<?php
 }


/* D * isplay list of pages
 *
 * */

 function manduca_display_page_list() {
	  ?>
		  <ul>
			<?php wp_list_pages( array(
									   'exclude'        => '',
									   'title_li'     => '',
									   'sort_column'  => 'post_title'
									   ) ); ?>
		  </ul>
<?php
 }

/*
 *
 *Display author list
 *
 **/
function manduca_display_author_list() {
	  ?>
	
			<ul>
			  <?php wp_list_authors( array( 'exclude_admin' => true, ) ); ?>
			</ul>
<?php
 }
 
 /*
  *Display posts of different post types
  **/
 function manduca_display_posts_custom_posttype() {
	  
	  $post_type_args = array (
							   '_builtin' => false,   // only custom post types 
							   'public'		=> true   
							   );
	  
	  $post_types 	= get_post_types( $post_type_args, 'object' , 'and' );
	  
	  foreach ($post_types as $post_type ) {
			
			
			printf( '<h2>%s</h2><div class="tabbody"<ul>',
				   $post_type->labels->name
				   );
	  
			$list_posts = new WP_Query( array( 
					'post_type'       => $post_type, 
					'posts_per_page'  => -1, 
					'post_status'		=>'published',
					'order'           => 'ASC',
					'orderby'         => 'title'
					) );
			
			while ( $list_posts->have_posts() ) : $list_posts->the_post(); 
					  
						
						printf( '<li><a href="%1$s">%2$s</a></li>',
							   get_permalink(),
							   get_the_title()
							  );
			endwhile;
	  
			echo '</ul></div>';
	  }
 }
 
 
?>