<?php
/*
 * This is the main Class of the theme
 * 
 *
 * @ Theme: Manduca - focus on accessibility
 * @ since 17.9.17
 **/

Class Manduca {
		
		private static $singleton = null; // Make sure that this class has only one instance
		public static $init_classes;
		
		
		public function __construct() {
		$this->init_theme();
		}	
	
	/*
	 * Callable method of instantiation the Manduca class
	 **/
	public static function start_manduca() {
		if( !isset( self::$Singleton) ) {
				self::$singleton = new manduca();
		}
		return self::$singleton;
	}
	
		private function init_theme(){
				$this->manduca_classes();
				$this->instantiate_classes();
	
	}
		
	
	/*
	 * Controller
	 *
	 * Call the class and method if it is given. 
	 *
	 * @param   $class
	 * 			$method
	 **/
	
	static function controller ( $args ) {
		
		extract ( $args );
		
		//Search file in Manduca's theme' library
		$stylesheet_directory = get_template_directory();
		$file = $stylesheet_directory .'/inc/' .$class .'.php';
		
		if( file_exists ( $file ) ) {
			require_once( $file );	
		}
		else {
			//should be child theme
			$stylesheet_directory = get_stylesheet_directory();
			$file = $stylesheet_directory .'/inc/' .$class .'.php';
			if( file_exists ( $file ) ) {
				require_once( $file );		
			}
			else {
				//translators: Program error message on admin panel.  
				wp_die( __( '<strong>Error in Manduca controller</stonrg> The file of the called class is missing.' , 'manduca') );
			}
		}
		
		$controller = new $class();
		
		//If method is supplied, then call method
		if( isset( $args[ 'method' ] ) ) {
			$method = $args[ 'method' ];
			$return_value = $controller->$method();
			
		}
		unset( $controller );
		if( isset( $return_value ) ) {
			return $return_value;	
		}
	}
	
		protected function manduca_classes(){
			self::$init_classes = array(  
							  'frontend' => array(
										'theme_setup',
										'theme_customizer',
										'page_functions',
										),
							  'backend' => array(
										'theme_setup'
							  )
							 );
		}
		

		public function instantiate_classes() {
				
				// Only admin classes
				if( is_admin() ) {
						foreach( self::$init_classes[ 'backend' ] as $init_class ) {
							self::Controller ( array(
													 'class' => $init_class
													 )
											 );
						}		
				}
				//Only frontend classes
				else {
						foreach( self::$init_classes[ 'frontend' ] as $init_class ) {
							self::Controller ( array(
											 'class' => $init_class
											 )
									 );
				}
				}
		
		}
}

$Manduca =  manduca::start_manduca();
unset($manduca);

?>