<?php
/** 
 * Functions used in template files. 
 *
 *
 * @ Theme: Manduca - focus on accessibility
 * @ since 17.9.19
 **/

Class template_functions {
	
	/**
	 * Displays paginated link for images.
	 *
	 * @return array string title
	 * 				 string content
	 *
	 * @since 17.8.11
	 * */
	

	/**
	* Displays next or previous image link from all .
	*
	*/
   public function display_image_navigation() {
	
	$data = $this->get_adjacent_image_data();
	//echo ' template-functijon class #32  var data= <pre>';print_r( $data );echo '</pre>';
	extract( $data );
	?>
	<nav class="image-navigation nav-single" aria-label="<?php _e( 'image_navigation', 'manduca' ) ?>">
	
	<?php
	if ( $previous_title !== false ) {
		printf('<div class="nav-previous"><span class="screen-reader-text">%4$s</span><a href="%2$s">%1$s%3$s</a></div>',
				manduca_get_svg( array( 'icon' => 'angle-circle-left' ) ),
				$previous_permalink,
				$previous_title,
				__( 'Previous', 'manduca' )
				);
	}
	
	if ( $parent_title !== false ) {
		printf( '<div class="parent-post"><span class="screen-reader-text">%4$s</span><a href="%2$s">%1$s%3$s</a></div>',
				manduca_get_svg( array( 'icon' => 'info' ) ),
				$parent_permalink,
				$parent_title,
				__( 'Related content', 'manduca' )
				);
	}
	
	if ( $next_title !== false ) {
		printf( '<div class="nav-next"><span class="screen-reader-text">%4$s</span><a href="%2$s">%3$s%1$s</a></div>',
				manduca_get_svg( array( 'icon' => 'angle-circle-right' ) ),
				$next_permalink,
				$next_title,
				__( 'Next', 'manduca' )
				);
	}
	
		 echo '</nav>';
   }

	private function get_adjacent_image_data() {
		
			/* Retreive current image */
		$post = get_post();
		//echo ' template-functijon class #40  post= <pre>';print_r( $post );echo '</pre>';
		$parent_id = $post->post_parent;
		// Get the parent post Title
		if( !empty( $parent_id ) ) {
			$parent_title = get_the_title( $parent_id );
		}
		// Get the parent post permalink
		$parent_permalink = get_permalink( $parent_id );
		
		
		/* Get all images */
		$query_images_args = array(
			'post_type'      => 'attachment',
			'post_mime_type' => 'image',
			'post_status'    => 'inherit',
			'posts_per_page' => - 1,
		);
		
		$query_images = new WP_Query( $query_images_args );

		// Input image IDs to $images 
		$images 		= array();
		$previous_id 	= false;
		$previous_title 	= false;
		$one_more 		= false;
		$first_cycle	=true;		
		
		foreach ( $query_images->posts as $image ) {
			//echo ' template-functijon class #51  image= <pre>';print_r( $image );echo '</pre>';die;
		    //$images[] = wp_get_attachment_url( $image->ID );
			//$images[] = $image->ID ;
			$next_id = $image->ID;
			$next_title = $image->post_title;
			if( $one_more ) {
				break;
			}
			if( $post->ID == $image->ID ) {
				$one_more = true;
			}
			if( !$first_cycle && !$one_more ) {
				$previous_id = $image->ID;
				$previous_title = $image->post_title;
			}
			else {
				$first_cycle = false;
			}
			//If the cycle runs to the end, there is no next image
			$next_title = false;
		}
	   // We need the link of the attachment page. 
	   $previous_premalink  = get_attachment_link( $previous_id );
	   $next_permalink 		= get_attachment_link ( $next_id );
	   
	   return array(
			'previous_permalink'  	=> $previous_premalink,
			'previous_title'			=> $previous_title,
			'next_permalink'		=> $next_permalink,
			'next_title'				=> $next_title,
			'parent_permalink'		=> $parent_permalink,
			'parent_title'			=> $parent_title
	   );
	   
	}


}
 
	
