<?php
/**
 * Functions to customize the theme
 *
 * @ Theme: Manduca - focus on accessibility
 * @since 17.9.17
 * 
 **/

class theme_customizer {
	
	public function __construct() {
		
	}
		/*
	 * Add Manduca breadcrumb to header
	 * This is a new version of breadcrumb
	 *
	 * @param  array of parameters
	 * 
	 * @since 17.9.17
	 **/
	static function breadcrumb() {
	
		$templates = array(
			'before' 		=> '<nav id="breadcrumb" class="breadcrumb"><span>' .__( 'You are here:', 'manduca' ) .'</span><ul>',
			'after' 		=> '</ul></nav>',
			'standard' 		=> '<li>%s</li>',
			'current' 		=> '<li class="current">%s</li>',
			'link' 			=> '<a href="%s"><span >%s</span></a>'
		);
		$options = array(
			'show_htfpt' => true, // show hierarchical terms for post types
			'separator'		=> manduca_get_svg( array( 'icon' => 'arrow-right-double' ) ) ,
			'posts_on_front' => 'posts' == get_option( 'show_on_front' ) ? true : false,
			'page_for_posts' => get_option( 'page_for_posts' ),
			'show_pagenum' => true, // support pagination
		);
		
		$strings = array(
			// Translators: Breadcrumb home page.
			'home' => __( 'Home', 'manduca' ),
			//Translators: search page singular in breadcrumb
			'search' => __( '%s hits of searching for <em>%s</em>', 'manduca' ),
			'paged' => __( 'Page %d', 'manduca' ),
			'404_error' => __( 'Page not found', 'manduca' )
		);
		
		$args[ 'templates' ] 	= $templates;
		$args[ 'options' ]		= $options;
		$args[ 'strings' ]		= $strings;
		
		return $args;
	}	
	
	
}

